Bug 203853 - CUPS print server crashing when printing from Firefox
CUPS print server crashing when printing from Firefox
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
Blocks: FC6Target
  Show dependency treegraph
Reported: 2006-08-23 21:24 EDT by David Cartwright
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-23 09:17:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Cartwright 2006-08-23 21:24:47 EDT
Description of problem:
Installation from FC6Test2 DVD, a printer was setup and printing as expected. A
recent update appears to have caused a problem. I currently have two networked
printers configured on two different subnets, one via Netgear PS110 Print Server
and the other HP LaserJet 3392 via socket protocol. Also tried to setup a third
printer, but configurator crashed during setup.

Firewall and SELinux are currently disabled.

Version-Release number of selected component (if applicable):

How reproducible:
Has happened on three different boot attempts.

Steps to Reproduce:
1. From boot go to GNOME system-config-printer function. Print a test page on
LJ3392 succeeeds.

2. Go to Firefox, select LJ3392 printer and print.

3. No output.

4. Go back to system-config-printer and no printers are displayed. Clicking on
"Goto Server" produces an error message "There was an error during CUPS
operation: httpConnectionEncryptfailed". Tried with setting "Require Encryption"
selected and de-selected, but same error message.

CUPS server shows: /var/run/cups/cups.sock

5. Trying to connect to CUPS server via http://localhost:631 fails to connect to

6. When going to print dialog in Firefox, it no longer shows installed printers,
but only option is "PostScript/default"
Actual results:
as above

Expected results:
printed output + full control of printers

Additional info:
Comment 1 Tim Waugh 2006-08-24 05:42:20 EDT
What does 'rpm -q cups' say?
Comment 2 David Cartwright 2006-08-24 18:19:41 EDT

answer to query is:

Comment 3 David Cartwright 2006-08-24 18:34:47 EDT
Some more info from tests this morning.

Today I tried to print from Adobe Acrobat, but I had same result as in Firefox.

As root I checked the status of cups via:
service cups status

cupsd dead but pid file exists

I restarted cups and ran status again. This time received message that cups was

Tried to print, but no output. When I checked cups status it again had:
cupsd dead but pid file exists
Comment 4 Tim Waugh 2006-08-25 05:11:41 EDT
Please fetch these test packages, 1.2.2-16:


Upgrade using 'rpm -Fvh cups-*.rpm' and then install the cups-debuginfo package
with 'rpm -ivh cups-debuginfo-1.2.2-16.i386.rpm'.

Then stop CUPS like this:

  /sbin/service cups stop

but start it like this:

  gdb --args /usr/sbin/cupsd -f

and when you get the '(gdb)' prompt enter 'run'.  Try to print a job, and if you
get another '(gdb)' prompt please enter 'bt' and let me know what it says.  Thanks.
Comment 5 David Cartwright 2006-08-27 07:56:13 EDT
I downloaded and installed the packages, albeit since I was away for two days
they had moved versions 1.2.2-17

Have tested printing via the debugger, and initial print tests via both Firefox
and Acrobat printed successfully.

I will run some more tests tomorrow and confirm.
Comment 6 Tim Waugh 2006-09-22 07:43:24 EDT
Any news about this bug?
Comment 7 David Cartwright 2006-09-22 20:49:26 EDT
Current version I have is:


and I haven't had any crashing problems since 1.2.2-17

btw ... what is the correct forum to enter suggestions for changes to the way
FC6T2 (and FC% for that matter) handles printing? For example:

1. Some print dialog options do not include option to change page size.
2. The default error policy is to stop-printer. However this stops the printer
even when the paper runs out. I have setup FC for a number of home users, and
this really causes confusion for your average user.
3. Option to select single or double sided printing per job rather than only
having as default for printer.

cheers ... david
Comment 8 Tim Waugh 2006-09-23 09:17:44 EDT
Bugzilla probably for those sorts of things.

1. Print dialog, so gtk2 (which now includes a common print dialog)
2. Default policy comes from cups
3. Also print dialog, so gtk2

Or perhaps start a thread about any of those particular issues on a mailing list
like fedora-devel-list.

Closing, hopefully this is fixed now!  Thanks.

Note You need to log in before you can comment on or make changes to this bug.